%global drupalver 6
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal6"
%global drupaldir %{_datadir}/%{drupal}
# Use upstream name as expressed in URL and tarball
%global modname image

# Use epoch since old release had illegal version
Epoch:   1
Name:    drupal6-%{modname}
Version: 1.1
Release: 1%{?dist}
Summary: Allows uploading, resizing and viewing of images
Group:   Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  %{drupal} >= 6.0

%description
This module allows users with proper permissions to upload images into Drupal. 
Thumbnails and additional sizes are created automatically.  Images could be 
posted individually to the front page, included in stories or grouped in 
galleries.

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/%{modname}
cp -pr * %{buildroot}%{drupaldir}/modules/%{modname}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%exclude %{drupaldir}/modules/%{modname}/LICENSE.txt
%exclude %{drupaldir}/modules/%{modname}/%{name}-fedora-README.txt
%{drupaldir}/modules/%{modname}

%changelog
* Sun Aug  7 2011 Paul W. Frields <stickster@gmail.com> - 1:1.1-1
- Fix spec file and bump epoch, using legal version (#696990)

* Sat Mar 05 2011 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 6.x.1.1-1
- New package.
